public enum TokenType {
    OTHER(0),
    WORD(1),
    NUMBER(2),
    SPACE(3),
    BRACKETS(4),
    COMMA(5),
    SEMICOLON(6),
    DOT(7),
    COLON(8),
    APOSTROPH(9),
    QUOTATION_MARK(10),
    DASH(11),
    ELLIPSIS(12),
    EXCLAMATION_MARK(13),
    QUESTION_MARK(14);
    // Znak, ktorý nie je písmeno, číslo, medzera ani interpunkcia

    /*OTHER(0),
    WORD(1),
    NUMBER(2),
    SPACE(3),
    BRACKETS(4),
    COMMA(5),
    SEMICOLON(6),
    DOT(7),
    COLON(8),
    ELLIPSIS(12),
    EXCLAMATION_MARK(13),
    QUESTION_MARK(14);*/

    private final int value;

    TokenType(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}